#include <iostream>
#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    //bool manji=false,veci=false;
    int n,x,trenx,i,m,v;
    cin >> n >> x;
    m=x;
    v=x;
    for(i=0;i<n;i++)
    {
        cin >> trenx;
        if(trenx<m)
            m=trenx;
        if(trenx>v)
            v=trenx;
    }
    cout << min(2*(x-m)+v-x,2*(v-x)+x-m);
    //cout << "Hello world!" << endl;
    return 0;
}